Package jebl.evolution.graphs

# Class Utils

java.lang.Object
jebl.evolution.graphs.Utils

public class Utils extends Object
A collection of utility functions for graphs.

Version:
  $Id: Utils.java 849 2007-12-06 00:10:14Z twobeers $
Author:
  Andrew Rambaut, Alexei Drummond

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isAcyclical(Graph graph)`
`boolean`
`isConnected(Graph graph)`
`final boolean`
`isTree(Graph graph)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### isAcyclical

public boolean isAcyclical(Graph graph)

Parameters:
  `graph` -
Returns:
  true if the given graph is acyclic.

### isConnected

public boolean isConnected(Graph graph)

Parameters:
  `graph` -
Returns:
  true if the given graph is fully connected.

### isTree

public final boolean isTree(Graph graph)

Parameters:
  `graph` -
Returns:
  true if the given graph is a tree, i.e. is acyclic and fully connected.